#
# spec file for package cyrus-imapd (Version 2.1.15)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake cyrus-sasl cyrus-sasl-devel db-devel des drac ed heimdal-devel heimdal-lib openssl openssl-devel opie yacc
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib cyrus-sasl-devel db-devel des drac e2fsprogs-devel ed gcc gdbm gettext heimdal-devel heimdal-lib libtool openssl-devel opie perl rpm yacc

Name:         cyrus-imapd
URL:          http://asg.web.cmu.edu/cyrus/
License:      BSD, Other License(s), see package
Group:        Productivity/Networking/Email/Servers
Requires:     perl-Cyrus-IMAP perl-Cyrus-SIEVE-managesieve
Autoreqprov:  on
Summary:      An IMAP/POP Mailserver
Version:      2.1.15
Release:      91
Source:       %{name}-%{version}.tar.bz2
Source1:      SuSE.tar.gz
Patch1:       lib_and_mandir.patch
Patch2:       drac_auth.patch
Patch3:       authid_normalize.patch
Patch4:       allow_auth_plain_proxying.patch
Patch5:       luser_relay.patch
Patch6:       message_parsing.patch
Patch7:       cyrus-imapd-2.1.5-perl.patch
Patch8:       lib64.patch
Patch9:       cyrus-imapd-2.1.10-opie.patch
Patch10:      cyrus-imapd-2.1.12-stdarg.patch
Patch11:      tail-1-fix.patch
Patch12:      sieve-vacation-time-period.patch
Patch13:      out_of_bounds_fix.patch
Patch14:      annotate_obo.patch
Prereq:       /usr/sbin/useradd %insserv_prereq %fillup_prereq /bin/sed /bin/awk /bin/grep /bin/cat /usr/bin/find /usr/bin/db_verify sh-utils fileutils cyrus-sasl netcfg
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%package -n perl-Cyrus-IMAP
Summary:      IMAP perl module from cyrus
Requires:     perl = %{perl_version}
Autoreqprov:  on
Group:        Development/Libraries/Perl
#%package -n perl-Cyrus-SIEVE-acap
#Summary:      perl module for cyrus SIEVE ACAP
#Autoreqprov:  on
Group:        Development/Libraries/Perl
%package -n perl-Cyrus-SIEVE-managesieve
Summary:      perl modul for cyrus SIEVE
Requires:     perl = %{perl_version}
Autoreqprov:  on
Group:        Development/Libraries/Perl
%package -n cyrus-imapd-devel
Summary:      Libraries and includes for cyrus imapd
Autoreqprov:  on
Group:        Development/Libraries/C and C++

%description
The Cyrus IMAP Server.



Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>


%description -n perl-Cyrus-IMAP
IMAP perl module from cyrus for the cyrus imapd



Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>


%description -n perl-Cyrus-SIEVE-managesieve
perl modul for cyrus SIEVE



Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>


%description -n cyrus-imapd-devel
Libraries and includes for cyrus imapd



Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>

%define cyrus_uid 96
%prep
%setup -q -a 1
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1
%patch4 -p 1
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12 -p 1
%patch13
%patch14 -p 1

%build
%{?suse_update_config:%{suse_update_config -l -f build}}
#rm -f sieve/sieve.c sieve/addr.c
#autoconf
#autoreconf --force --install
rm aclocal.m4 configure config.h.in
sh SMakefile
./configure --prefix=/usr \
	    --mandir=%{_mandir} \
            --with-cyrus-user=cyrus \
            --with-cyrus-group=mail \
            --with-cyrus-prefix=/usr/lib/cyrus \
	    --localstatedir=/var/lib \
            --without-notify \
            --with-sasldir=/usr \
            --enable-netscapehack \
            --with-openssl=/usr/ssl \
            --with-auth=unix \
	    --with-dbdir=%{_libdir} \
	    --enable-shared \
	    --with-lock=fcntl \
	    --with-drac=%{_libdir} \
	    --libdir=%{_libdir} \
	    --enable-murder \
	    --with-mboxlist-db=skiplist \
	    --enable-annotatemore \
	    --with-perl=/usr/bin/perl \
	    --without-ucdsnmp
make depend
make CFLAGS="-O2 -fPIC -I%{_libdir}/sasl2/include"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
/usr/sbin/useradd -r -o -g mail -u %{cyrus_uid} -s /bin/bash -c "User for cyrus-imapd" -d /usr/lib/cyrus cyrus 2> /dev/null || :
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm
install -g root -m 755 -o root SuSE/rc.cyrus $RPM_BUILD_ROOT/etc/init.d/cyrus
ln -sf ../etc/init.d/cyrus $RPM_BUILD_ROOT/sbin/rccyrus
install -m 755 -o root SuSE/cron.daily.cyrus $RPM_BUILD_ROOT/etc/cron.daily/cyrus
export DESTDIR=$RPM_BUILD_ROOT
make install
# make install results in make install within the perl modules subdir, so
# remove the stuff from buildroot to satisfy the picky rpm4, as we don't need
# it and use install_vendor for perl modules below
rm -rf $RPM_BUILD_ROOT/%{perl_sitelib}
rm -rf $RPM_BUILD_ROOT/%{perl_sitearch}
#*****************************************************************************
# perl modules
#*****************************************************************************
# Cyrus IMAP
#*****************************************************************************
cd perl/imap
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist -n perl-Cyrus-IMAP
cd -
#*****************************************************************************
# Cyrus SIEVE managesieve
#*****************************************************************************
cd perl/sieve/managesieve
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist -n perl-Cyrus-SIEVE-managesieve
cd -
#*****************************************************************************
install -m 644 SuSE/imapd.conf $RPM_BUILD_ROOT/etc/imapd.conf
install -m 644 SuSE/cyrus.conf $RPM_BUILD_ROOT/etc/cyrus.conf
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/deliverdb/db
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/user
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/quota
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/proc
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/log
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/msg
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/db
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/socket
install -d -m 750 $RPM_BUILD_ROOT/var/lib/sieve
for i in a b c d e f g h i j k l m n o p q r s t u v w x y z; do
	install -d -m 755 $RPM_BUILD_ROOT/var/lib/imap/user/$i
	install -d -m 755 $RPM_BUILD_ROOT/var/lib/imap/quota/$i
	install -d -m 750 $RPM_BUILD_ROOT/var/lib/sieve/$i
done
chown -R cyrus:mail $RPM_BUILD_ROOT/var/lib/imap
chown -R cyrus:mail $RPM_BUILD_ROOT/var/lib/sieve
install -d -m 750 $RPM_BUILD_ROOT/var/spool/imap
chown cyrus:mail $RPM_BUILD_ROOT/var/spool/imap
mv $RPM_BUILD_ROOT/%{_mandir}/man8/master.8 \
	$RPM_BUILD_ROOT/%{_mandir}/man8/cyrus_master.8
mv $RPM_BUILD_ROOT/%{_mandir}/man8/idled.8 \
	$RPM_BUILD_ROOT/%{_mandir}/man8/cyrus_idled.8
find . -type d -a -name CVS | xargs rm -rfv
find . -type f -a -name .cvsignore | xargs rm -rfv

%pre
/usr/sbin/useradd -r -o -g mail -u %{cyrus_uid} -s /bin/bash -c "User for cyrus-imapd" -d /usr/lib/cyrus cyrus 2> /dev/null || :

%preun
%stop_on_removal cyrus

%post
test -e var/lib/imap/mailboxes.db && {
   db_verify var/lib/imap/mailboxes.db 2> /dev/null && {
      echo "Converting mailboxes.db to skiplist backend"
      cp -p --remove-destination var/lib/imap/mailboxes.db var/lib/imap/mailboxes.db.bak
      rm -f var/lib/imap/mailboxes.db
      chroot . su - cyrus -c 'cvt_cyrusdb /var/lib/imap/mailboxes.db.bak db3 /var/lib/imap/mailboxes.db skiplist'
   }
}
grep -E "^sieve" etc/services >/dev/null || {
   echo "Adding sieve service to /etc/services"
   CFBAK=services.`date +%Y-%m-%d`
   CFNEW=services.$$
   cat etc/services | awk '
BEGIN                   { OFS="\t"; ORS="\n"; }
/^#/                    { print; next; }
/[[:space:]]+2000\/(tcp|udp)/       { printf "sieve\t\t%s\t# Cyrus SIEVE\n", $2; next; } 
                        { print; next; };' > etc/$CFNEW
   echo "Backing up old services as $CFBAK"
   cp --remove-destination etc/services etc/$CFBAK
   mv etc/$CFNEW etc/services
}
SIEVEUP=
IMAPUP=
test $1 -gt 1 && test -d usr/sieve -a ! -L usr/sieve && SIEVEUP=yes
test $1 -gt 1 && test -d var/imap  -a ! -L var/imap  && IMAPUP=yes
test -n "`find var/lib/sieve -type f`" && {
     echo "/var/lib/sieve is not empty"
     SIEVEUP=
}
test -n "`find var/lib/imap -type f`" && {
     echo "/var/lib/imap is not empty"
     IMAPUP=
}
test -n "$SIEVEUP" && {
     echo "Creating compatibility symlink /var/lib/sieve -> /usr/sieve"
     rm -rf var/lib/sieve
     ln -sf ../../usr/sieve var/lib/sieve
}
test -n "$IMAPUP" && {
     echo "Creating compatibility symlink /var/lib/imap -> /var/imap"
     rm -rf var/lib/imap
     ln -sf  ../imap /var/lib/imap
}
mkdir -p var/adm/notify/messages
cat << EOF > var/adm/notify/messages/cyrus-notify
ATTENTION!!!
------------
To be compliant to FHS, the following paths have changed:
/usr/cyrus -> /usr/lib/cyrus
/usr/sieve -> /var/lib/sieve
/var/imap  -> /var/lib/imap
If you made an update, you will find the symlinks
   /var/lib/imap  pointing to /var/imap
   /var/lib/sieve pointing to /usr/sieve
It is recommended to move these directories to the new location
manually to prevent further problems.
*****************************************************************************
ACHTUNG!!!
----------
Um dem FHS zu entsprechen, wurden folgende Pfade geaendert:
/usr/cyrus -> /usr/lib/cyrus
/usr/sieve -> /var/lib/sieve
/var/imap  -> /var/lib/imap
Wenn Sie ein Update durchgefuehrt haben, finden Sie folgende
Symbolischen Links:
   /var/lib/imap  zeigt auf /var/imap
   /var/lib/sieve zeigt auf /usr/sieve
Es ist empfehlenswert, diese Verzeichnisse an die neue Stelle zu
verschieben, um spaetere Probleme zu vermeiden.
EOF
%{fillup_and_insserv cyrus}

%postun
%restart_on_update cyrus
%insserv_cleanup

%files
%config /etc/cron.daily/cyrus
%config(noreplace) /etc/imapd.conf
%config(noreplace) /etc/cyrus.conf
%dir %attr(0750, cyrus, mail) /var/lib/imap
%attr(0750, cyrus, mail) /var/lib/imap/deliverdb
%attr(0750, cyrus, mail) /var/lib/imap/log
%attr(0750, cyrus, mail) /var/lib/imap/msg
%attr(0750, cyrus, mail) /var/lib/imap/proc
%attr(0750, cyrus, mail) /var/lib/imap/quota
%attr(0750, cyrus, mail) /var/lib/imap/user
%attr(0750, cyrus, mail) /var/lib/imap/socket
%attr(0750, cyrus, mail) /var/lib/imap/db
%attr(0750, cyrus, mail) /var/lib/sieve
%attr(0750, cyrus, mail) /var/spool/imap
/etc/init.d/cyrus
/sbin/rccyrus
/usr/lib/cyrus
/usr/bin/*
%doc %{_mandir}/man1/imtest.1.gz
%doc %{_mandir}/man1/lmtptest.1.gz
%doc %{_mandir}/man1/mupdatetest.1.gz
%doc %{_mandir}/man1/sivtest.1.gz
%doc %{_mandir}/man1/smtptest.1.gz
%doc %{_mandir}/man1/pop3test.1.gz
%doc %{_mandir}/man1/cyradm.1.gz
%doc %{_mandir}/man1/installsieve.1.gz
%doc %{_mandir}/man1/sieveshell.1.gz
%doc %{_mandir}/man3/imclient.3.gz
%doc %{_mandir}/man5/krb.equiv.5.gz
%doc %{_mandir}/man5/cyrus.conf.5.gz
%doc %{_mandir}/man5/imapd.conf.5.gz
%doc %{_mandir}/man8/*.gz
%doc COPYRIGHT README README.andrew doc
%doc SuSE/README.SuSE

%files -n cyrus-imapd-devel
/usr/include/cyrus
%{_libdir}/libacap.a
%{_libdir}/libcyrus.a

%files -n perl-Cyrus-IMAP
%dir %{perl_vendorarch}/Cyrus
%{perl_vendorarch}/Cyrus/IMAP
%{perl_vendorarch}/Cyrus/IMAP.pm
%dir %{perl_vendorarch}/auto/Cyrus
%{perl_vendorarch}/auto/Cyrus/IMAP
/var/adm/perl-modules/perl-Cyrus-IMAP
%doc %{_mandir}/man3/Cyrus::IMAP*

%files -n perl-Cyrus-SIEVE-managesieve
%dir %{perl_vendorarch}/Cyrus
%dir %{perl_vendorarch}/Cyrus/SIEVE
%{perl_vendorarch}/Cyrus/SIEVE/managesieve.pm
%dir %{perl_vendorarch}/auto/Cyrus
%dir %{perl_vendorarch}/auto/Cyrus/SIEVE
%{perl_vendorarch}/auto/Cyrus/SIEVE/managesieve
/var/adm/perl-modules/perl-Cyrus-SIEVE-managesieve
%doc %{_mandir}/man3/Cyrus::SIEVE::managesieve.3pm.gz

%changelog -n cyrus-imapd
* Mon Feb 14 2005 - choeger@suse.de
- Bugfix ID#50795 VUL-0: cyrus-imapd: bugfix release
* Thu Nov 18 2004 - choeger@suse.de
- Bugfix ID#48201 - VUL-0: cyrus-imapd multiple remote vulnerabilites
* Mon Sep 01 2003 - choeger@suse.de
- removed "-u root" from startproc as it always failes
- added saslauthd to Required-Start: in init-script
* Fri Aug 29 2003 - kukuk@suse.de
- Call useradd with -r for system accounts [Bug #29611]
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Aug 19 2003 - choeger@suse.de
- updated to version 2.1.15
- added sieve-vacation-time-period.patch which introduces the possibility
  to give a start start/end tag in a vacation rule.
  this new feature requires to add a line containing:
  require "vacation-period";
  and is therefor backward compatible with sieve scripts of unpatched
  cyrus-imapd versions
* Wed Jul 30 2003 - choeger@suse.de
- new macros for stop/restart of services on rpm update/removal
* Tue Jul 22 2003 - mls@suse.de
- use -n option in %%perl_process_packlist
* Mon Jul 21 2003 - choeger@suse.de
- chown user:group instead of user.group
* Thu Jul 17 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Thu Jul 03 2003 - choeger@suse.de
- updated to version 2.1.14
* Tue Jul 01 2003 - choeger@suse.de
- remove buildroot from .packlist
* Fri Jun 13 2003 - kukuk@suse.de
- Add missing directories to filelist
* Tue May 20 2003 - choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
- added installed (but unpackaged) mupdatetest manpage
* Mon May 19 2003 - choeger@suse.de
- remove CVS directories and .cvsignore files
* Mon May 05 2003 - choeger@suse.de
- update to version 2.1.13
- chown/chmod mailboxes.db backup files
* Wed Apr 30 2003 - choeger@suse.de
- added cron.daily job to backup mailboxes.db to
  /var/lib/imap/backup on a daily basis
* Wed Apr 16 2003 - ro@suse.de
- fixed prereq
* Tue Apr 15 2003 - ro@suse.de
- fixed neededforbuild
* Mon Apr 07 2003 - choeger@suse.de
- tail is now picky using -1 instead of -n 1
* Tue Feb 04 2003 - choeger@suse.de
- update to version 2.1.12, fixes (from doc/text/changes):
  * Master now will forcibly exit if a service is not executable
  * Master now has a daemon mode and pidfile support (-d and -p
  options)
  * Berkeley DB Configuration methods have changed. Hopefully they're
  more generic now. You can still use --with-dbdir, or you can use
--with-bdb-libdir and --with-bdb-incdir
  * timsieved now handles usernames with dots (when unixhierarchysep is
  active)
  * tugowar has been removed from the distribution.
  * Squatter now has an option to skip unmodified mailboxes.
  * Properly hash username to remove a user's sieve scripts when their
  INBOX is removed.
  * Reset output buffer when prot_flush returns EOF.
  * Minor Makefile improvements with use of $(srcdir)
  * Remotepurge improvement for empty mailboxes
  * Fix for AFS overwriting the canonicalized username in ptloader
  * Security audit of imapd.c performed by SecurityAppraisers and
  Bynari
* Thu Jan 23 2003 - ro@suse.de
- fix build on gcc-3.3 (use stdarg)
* Thu Jan 16 2003 - ro@suse.de
- use shared sasl2
* Tue Dec 10 2002 - choeger@suse.de
- added --without-ucdsnmp, because cyrus-imapd doesn't compile with
  that option and that will prevent users from compiling their own
  RPM, if they have installed ucdsnmp.
* Thu Dec 05 2002 - choeger@suse.de
- update to version 2.1.11
  * Fixed some potential buffer overflows in the sieve code, as well as
  a pre-login buffer overflow in the IMAP parsing code.
* Mon Nov 25 2002 - choeger@suse.de
- new features:
  rfc_ignore_barenewlines
  rfc_ignore_8bit
  rfc_ignore_badheader
* Tue Nov 19 2002 - ro@suse.de
- fix build
* Thu Nov 14 2002 - choeger@suse.de
- update to version 2.1.10
* Mon Nov 04 2002 - choeger@suse.de
- added $syslog to Required-Start in init script,
  Bugzilla ID#20989
* Wed Sep 04 2002 - choeger@suse.de
- compiled using skiplist as backend for mailboxes.db as this
  will prevent problems when the system is under high load.
  http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&searchterm=skiplist&msg=17010
* Mon Sep 02 2002 - choeger@suse.de
- update to version 2.1.9 (bugfix release)
- Fix a strlcpy() off-by-one error.
- Better handling of errors in connecting to LMTP servers for deliver
  and lmtpproxyd.
- Fix bug in pop3proxyd's pop3s handling.
- Fix Exim install documentation.
- bugfix for %%post /etc/services fillup mechanism
- bugfix for lmtp_luser_relay patch
* Fri Aug 30 2002 - choeger@suse.de
- added new feature lmtp_luser_relay to be able to store mail
  to non existent mailboxes in a default mailbox
* Thu Aug 22 2002 - choeger@suse.de
- update to version 2.1.8 (bugfix release)
- cleanup of a number of memory and file descriptor leaks
- corrections in how strlcpy() is used
- locking improvements for CREATE and RENAME operations
- This release fixes a critical locking problem with the CREATE
  command that was introduced in 2.1.6 and 2.1.7
* Tue Aug 20 2002 - uli@suse.de
- fixed for lib64 archs
* Mon Aug 19 2002 - rhafer@suse.de
- link statically against libsasl2. Otherwise we run into trouble
  if cyrus-imapd is used with pam-/nss_ldap (libldap is linked
  against cyrus-sasl 1.5.X)
* Fri Aug 09 2002 - rhafer@suse.de
- updated SIEVE script location in imapd.conf (/var/lib/sieve)
* Fri Aug 09 2002 - mls@suse.de
- use sitearch macro
* Wed Aug 07 2002 - choeger@suse.de
- added netcfg to Prereq
* Tue Aug 06 2002 - choeger@suse.de
- completed Prereq
* Mon Aug 05 2002 - choeger@suse.de
- added Prereq
* Tue Jul 30 2002 - ro@suse.de
- fix build with perl-5.8
* Thu Jul 11 2002 - choeger@suse.de
- enable cyrus-murder
- don't use unset in %%post
* Tue Jun 25 2002 - choeger@suse.de
- update to version 2.1.5
* Wed Jun 19 2002 - choeger@suse.de
- added old patches:
  . authid_normalize.patch
  . allow_auth_plain_proxying.patch
* Tue Jun 18 2002 - choeger@suse.de
- renamed manpages master to cyrus_master and idled to cyrus_idled
- updated config files
- bzip2 sources
- updated README.SuSE
* Mon Jun 17 2002 - choeger@suse.de
- update to current maintained stable/production release (v2.1.4)
* Fri May 24 2002 - choeger@suse.de
- create cyrus user in %%pre install
* Thu May 16 2002 - choeger@suse.de
- use fcntl locking instead of flock because flock seems to make
  problems on linux
* Tue Apr 30 2002 - choeger@suse.de
- fixed wrong path to lmtp socket in cyrus.conf, Bugzilla ID#16056
* Mon Apr 29 2002 - choeger@suse.de
- added lib64 awareness
* Fri Apr 26 2002 - choeger@suse.de
- Bugfix for %%post in specfile:
  SIEVE port is 2000, not 2222, which is the RFC number...  :-(
* Thu Apr 25 2002 - choeger@suse.de
- removed provides of my own packagename
* Wed Apr 17 2002 - choeger@suse.de
- make the overquota behaviour configurable:
  "lmtp_reject_over_quota: yes" will immediately reject mail to
  users with folders that exceed the quota limit.
  "lmtp_reject_over_quota: no", which is the default,
  will behave as usual.
* Wed Apr 17 2002 - choeger@suse.de
- bugfix for the vacation segv problem:
  cmd buffer in send_response(imap/lmtpd.c) has not been
  increased to fit the sendmail command in
* Fri Apr 05 2002 - ro@suse.de
- more brackets for autoconf
* Mon Mar 25 2002 - choeger@suse.de
- renamed manpage idled(8) to cyrus_idled(8) because of
  a conflict with idled(8) of the idled package, Bugzilla ID#15434
* Mon Feb 25 2002 - choeger@suse.de
- Bugfix for a header parsing bug in SIEVE
  (http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&searchterm=haferkamp&msg=12745)
* Fri Feb 22 2002 - choeger@suse.de
- made authid_normalize configurable
* Wed Feb 20 2002 - choeger@suse.de
- remove leading and trailing spaces from authid
  combined with authid_tolower -> authid_normalize
* Mon Feb 11 2002 - choeger@suse.de
- made allow_auth_plain_proxying configurable
* Fri Feb 01 2002 - choeger@suse.de
- modify /etc/services in %%post and exchange whatever
  uses port 2222 with sieve (Bugzilla ID#12922)
* Thu Jan 31 2002 - ro@suse.de
- added heimdal-lib to neededforbuild
* Tue Jan 22 2002 - ro@suse.de
- fix to build with db4
- bzipped source
* Tue Jan 15 2002 - choeger@suse.de
- added %%post section to handle updates from older
  SuSE Linux versions
* Tue Dec 11 2001 - choeger@suse.de
- FHS-enable
  /usr/cyrus -> /usr/lib/cyrus
  /usr/sieve -> /var/lib/sieve
  /var/imap  -> /var/lib/imap
- Bugfix: anonymous login possible, even if it is switched off
  Bugzilla ID#12585
* Fri Nov 30 2001 - choeger@suse.de
- remove START_ variable
* Mon Nov 19 2001 - choeger@suse.de
- added ipurge_force_all.patch
  ipurge only deletes mail in shared folders and not in folders
  below user.* and INBOX.*
  This patch adds -f option to allow *force* deletion of mail
  in all folders, see also
  http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&msg=10166
  http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&msg=10168
- Bugfix: drac patch was not applied because the configure
  script does not set DRAC_AUTH
- updated README.SuSE
- added ipurge example to cyrus.conf
* Wed Sep 05 2001 - choeger@suse.de
- added sieve_dotstuffing_fix
  See
  http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&msg=10136
  for more details
* Fri Aug 17 2001 - choeger@suse.de
- added -u root to startproc options
  for some strange reasons cyrus isn't able to read root.root owned
  files after booting into system. -u root "fixes" this.
* Tue Aug 07 2001 - choeger@suse.de
- update to 2.0.16  (important db3 fixes)
* Wed Jul 11 2001 - choeger@suse.de
- update to 2.0.15 (sig11 fixes)
* Thu Jun 28 2001 - choeger@suse.de
- bugfix: init script was not LSB compliant, Bugzilla ID#8983
* Fri Jun 15 2001 - choeger@suse.de
- update to version 2.0.14
* Mon May 28 2001 - choeger@suse.de
- little fix: Leave Returnpath empty, if it is already empty
* Wed May 16 2001 - lmuelle@suse.de
- remove obsolete mail notify
* Thu Apr 19 2001 - choeger@suse.de
- renamed master to cyrus_master to prevent conflict
  with postfix master.8 manpage
* Mon Apr 02 2001 - choeger@suse.de
- added missing fillup to %%post :-(
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Wed Feb 21 2001 - choeger@suse.de
- new version, 2.0.12
* Thu Feb 01 2001 - choeger@suse.de
- new version 2.0.11 (bugfix release)
* Mon Jan 22 2001 - schwab@suse.de
- Compile with -fPIC for inclusion in shared library.
* Wed Dec 27 2000 - choeger@suse.de
- typo fix in README.SuSE
- new version 2.0.9 (Bugfix Release)
* Mon Dec 18 2000 - choeger@suse.de
- added README.SuSE
* Mon Dec 18 2000 - choeger@suse.de
- bugfix: Dependencies
- bugfix: openssl to neededforbuilt
* Sat Dec 09 2000 - kukuk@suse.de
- Fix group tags
* Thu Dec 07 2000 - choeger@suse.de
- added init script for new cyrus master daemon
  was not able to test it, yet
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Fri Nov 24 2000 - ro@suse.de
- neededforbuild += openssl-devel
* Tue Nov 21 2000 - choeger@suse.de
- new version 2.0.7
- build root
- long package name
* Mon Nov 20 2000 - ro@suse.de
- removed eazy from neededforbuild
* Thu Nov 16 2000 - ro@suse.de
- fixed neededforbuild
* Wed Oct 25 2000 - choeger@suse.de
- fixed drac support
* Fri Oct 20 2000 - choeger@suse.de
- hacked in support for DRAC
* Wed Oct 04 2000 - choeger@suse.de
- changed the behaviour of quota command
-t user.<uname> now prints the quota usage of this
  user to STDOUT
* Mon Sep 25 2000 - choeger@suse.de
- bugfix: /etc/imapd.conf was mode 755 ... :-(
* Sun Jun 18 2000 - ro@suse.de
- regenerate bison-files
* Fri Jun 09 2000 - choeger@suse.de
- update to version 1.6.24
- excluded sasl and made separate package
- no longer need for pwcheck with ldap support,
  we are using pam_ldap, now
* Wed May 24 2000 - choeger@suse.de
- patch by jro to the false double-subscribe behaviour
* Mon May 22 2000 - choeger@suse.de
- there's no tail in inst-sys, so we have to use sed instead
* Mon May 22 2000 - choeger@suse.de
- added reiserfs-check before calling chattr in postinstall
* Thu Apr 27 2000 - choeger@suse.de
- added new config option use-unix to pwcheck.conf
- changed auth sequence from unix->ldap to ldap->unix
* Tue Mar 14 2000 - choeger@suse.de
- mnt/usr/bin/chattr does not work, so we call
  chroot . /usr/bin/chattr
* Mon Mar 13 2000 - choeger@suse.de
- security fix in pwcheck-module
* Fri Mar 10 2000 - choeger@suse.de
- chattr is not in inst-sys, so we call
  mnt/usr/bin/chattr
* Wed Mar 01 2000 - choeger@suse.de
- added %%{_mandir}
* Thu Feb 17 2000 - choeger@suse.de
- updated to version 1.5.19 of cyrus-imapd
* Tue Jan 04 2000 - choeger@suse.de
- bugfix for pwcheck
* Thu Nov 11 1999 - choeger@suse.de
- added mail-notification to postinstall
* Tue Oct 12 1999 - ro@suse.de
- added tcld to neededforbuild
* Tue Sep 28 1999 - choeger@suse.de
- first version
